#246: Source code modularization
#105: Remote connection support
#105: Remote connection support
#105: Remote connection support
#105: Remote connection support
#105: Remote connection support
#105: Remote connection support
#248 #105
#246 #105
#105
Avoid sending useless packets to the other GIMX host.
#105
Server implementation for Windows.
#105
#105
#105
